Subject: Re: [PATCH -next] staging/sep: fix build error & warning & kconfig

From: Greg KH <[email-masked]>
Date: Mon, 17 Aug 2009 13:42:09 -0700

On Mon, Aug 17, 2009 at 01:35:30PM -0700, Randy Dunlap wrote:
> From: Randy Dunlap <[email-masked]>
> 
> Fix sep_driver build when CONFIG_PCI=n:
> 
> drivers/staging/sep/sep_driver.c:2548: error: implicit declaration of function 'pci_dev_get'

I just merged a patch to fix this a few minutes ago.

> and printk format warning:
> 
> drivers/staging/sep/sep_driver.c:290:
> warning: format '%d' expects type 'int', but argument 2 has type 'long unsigned
>  int'

I think Alan is taking care of this stuff already.

> Also, the default kconfig value should not be 'y'.
> 
> And something should be done about this warning (but I didn't fix it):
> drivers/staging/sep/sep_driver.c:1780: warning: 'error' may be used uninitialized in this function

Alan has already resolved this one.

thanks,

greg k-h